import multiprocessing as mp
import os
from time import sleep
from random import randrange, shuffle

print(f'Process name: {mp.current_process().name} started.')

def fcia (x):
    print(f'Process name: {mp.current_process().name} calculates {x}.')
    sleep(randrange(1, 5))
    return x**2

if __name__ == '__main__':
    #30 random values (10-99), can repeat
    arr = [ randrange(10, 100) for _ in range(30)]
    #NO REPEAT
    arr = [x for x in range(10, 100)]
    shuffle(arr)
    arr = arr[:30]  # take first 30 random values

    with mp.Pool(None) as p: #run the such amount of processes (None = all CPUs)
        print(p.map(fcia, arr)) #map function to all elements in parallel