import multiprocessing as mp
import os
from time import sleep

print(f'Processors: {mp.cpu_count()}')
print(f'Process name: {mp.current_process().name}')
print(f'PID: {mp.current_process().pid}')
print(f'PPID: {os.getppid()}')

def fcia(x):
    print(f'Process {mp.current_process().name} started.')
    sleep(10)
    return x**2

if __name__ == "__main__": #run only in main process
    print(f"Main process: {os.getpid()}")
    p = mp.Process(target=fcia, args=(3,), name='PDS')
    p.start()
    p.join()
