import multiprocessing as mp
import os
from time import sleep
from random import randrange

print(f'Process name: {mp.current_process().name} started.')

def fcia (x):
    print(f'Process name: {mp.current_process().name} calculates {x}.')
    sleep(randrange(1, 5))
    return x**2

if __name__ == '__main__':
    with mp.Pool(None) as p: #run the such amount of processes (None = all CPUs)
        print(p.map(fcia, [x for x in range(15)])) #map function to all elements in parallel